Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.aop.scope
Class ScopedProxyUtils

    java.lang.Object
      org.springframework.aop.scope.ScopedProxyUtils

    public abstract class ScopedProxyUtils

extends Object

Utility class for creating a scoped proxy. Used by ScopedProxyBeanDefinitionDecorator and ClassPathBeanDefinitionScanner.

Since:
  2.5
Author:
  Mark Fisher, Juergen Hoeller, Rob Harrop

Constructor Summary
`ScopedProxyUtils()`

Method Summary
`static BeanDefinitionHolder` | `createScopedProxy(BeanDefinitionHolder definition, BeanDefinitionRegistry registry, boolean proxyTargetClass)` Generates a scoped proxy for the supplied target bean, registering the target bean with an internal name and setting 'targetBeanName' on the scoped proxy.
`static String` | `getTargetBeanName(String originalBeanName)` Generates the bean name that is used within the scoped proxy to reference the target bean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScopedProxyUtils

    public ScopedProxyUtils()

Method Detail

### createScopedProxy

    public static BeanDefinitionHolder createScopedProxy(BeanDefinitionHolder definition,
                                                         BeanDefinitionRegistry registry,
                                                         boolean proxyTargetClass)

  Generates a scoped proxy for the supplied target bean, registering the target bean with an internal name and setting 'targetBeanName' on the scoped proxy.

  Parameters:
    `definition` - the original bean definition
    `registry` - the bean definition registry
    `proxyTargetClass` - whether to create a target class proxy
  Returns:
    the scoped proxy definition

### getTargetBeanName

    public static String getTargetBeanName(String originalBeanName)

  Generates the bean name that is used within the scoped proxy to reference the target bean.

  Parameters:
    `originalBeanName` - the original name of bean
  Returns:
    the generated bean to be used to reference the target bean

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.